<?php
/*
 程序名称：猫盘解析程序
 官方网站：https://www.maopan.vip/
 本程序免费使用，仅用于个人学习和研究使用，不得用于商业用途,
 请遵守官方网盘相关协议和当地法律法规，禁止用于违法用途;
 严禁反编译、逆向等任何形式的二次修改行为。
*/

$url = $_GET['url'];
$data = [];
if(!empty($url)){
	$data['code'] = 1;
	$data['msg'] = 'ok';
	$data['url'] = $url;
}else{
	$data['code'] = 404;
	$data['msg'] = 'url参数错误，请输入文件直链地址';	
}

echo json_encode($data,JSON_UNESCAPED_UNICODE|JSON_UNESCAPED_SLASHES|JSON_PRETTY_PRINT);
exit();
